var timer;
var counter;
var start_time;

// define clock and start timer
function init() {
	var d = new Date();
	start_time = d.getTime();
	timer = document.getElementById('timer');
	counter = document.getElementById('counter');
	run_timer();
	countdown();
}

// run clock, refresh every second
function run_timer() {
	timer.innerHTML = play_time();
	setTimeout("run_timer()", 1000);
}

// run countdown clock, refresh every second
function countdown() {
	counter.innerHTML = time_left();
	setTimeout("countdown()", 1000);
}

// get current time and convert to string
function play_time() {
	var date = new Date();
	var td = date.getTime() - start_time;
	var hour = Math.floor( td/3600000 );
	var mins = Math.floor( td/60000 ) % 60;
	var secs = Math.floor( td/1000 ) % 60;
	
	if (hour == 0) { hour == "" } else { hour = hour + "h:"; }
	if (mins < 10) { mins = "0" + mins; }	
	if (secs < 10) { secs = "0" + secs; }	
	return "" + hour + mins + "m:" + secs + "s";
}

// convert current time into countdown time
function time_left() {
	var date = new Date();
	var td = date.getTime() - start_time;

	var bonus_time = 600;	// 600 seconds of bonus time
	var btl = bonus_time - td;	// bonus time left

//	var hour = Math.floor( btl/3600000 );
	var mins = Math.floor( btl/60000 ) % 60;
		var secs = Math.floor( btl/1000 ) % 60;
	
//	if (hour == 0) { hour == "" } else { hour = hour + ":"; }
	if (mins < 10) { mins = "0" + mins; }	
	if (secs < 10) { secs = "0" + secs; }	
//	return "" + hour + mins + ":" + secs;
	return "" + mins + "m:" + secs + "s";
}
